Bug 842162 - xfce4-appfinder copies junk to selection clipboard.
xfce4-appfinder copies junk to selection clipboard.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: parcellite (Show other bugs)
17
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-22 12:27 EDT by Mehmet Köse
Modified: 2013-01-27 10:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-27 10:39:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mehmet Köse 2012-07-22 12:27:46 EDT
Description of problem:

xfce4-appfinders completion facility shows recently ran app names as selected. This behavior fills selection clipboard with words like 'ogle-chrome' or 'rminal'.

Version-Release number of selected component (if applicable):

4.9.3

How reproducible:



Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kevin Fenzi 2012-07-22 21:07:58 EDT
I don't see this behavior with the Xfce 4.10 xfce4-appfinder, so it was either fixed in that or something here just doesn't show it. ;( 

I'll look and see if I can see any commits related to this in 4.10.
Comment 2 Mehmet Köse 2012-07-23 09:58:20 EDT
There is a problem but not in xfce4-appfinder but in parcellite. Sorry for false alarm.
Comment 3 Kevin Fenzi 2012-07-23 10:22:07 EDT
ok, moving over to there...
Comment 4 Christoph Wickert 2012-07-23 11:27:36 EDT
I am using parcellite and I don't see this. Can you please give me detailed instructions to reproduce the problem?
Comment 5 Mehmet Köse 2012-07-23 12:18:00 EDT
Enable both clipboards and "synchronize clipboards" in parcellite. In xfce4-appfinder use completion, press enter when a recently ran app name completed, like in screenshot.

http://imgur.com/EJ2bT
Comment 6 Christoph Wickert 2013-01-27 10:39:24 EST
This is no bug but the expected behavior.

1. If you type "go" the appfinder  autocompletes it with "ogle-chrome".
2. The completed text is selected, that means it becomes the primary clipboard, so it ends up in parcellite.

Please disable the primary clipboard, it was never designed to handle things like this as they did not exist in the good old UNIX days.

Note You need to log in before you can comment on or make changes to this bug.